GuidesAPI Reference
API Reference

Suggest a list of valid 3 word addresses.

AutoSuggest can take a slightly incorrect 3 word address and suggest a list of valid 3 word addresses. It has powerful features that can, for example, optionally limit results to a country or area, and prioritise results that are near the user. It provides corrections for the following types of input error:

  • Typing errors
  • Spelling errors
  • Misremembered words (e.g. singular vs. plural)
  • Words in the wrong order
Query Params
string
required

The full or partial 3 word address to obtain suggestions for. At minimum this must be the first two complete words plus at least one character from the third word.

string

This is a location, specified as latitude,longitude (often where the user making the query is). If specified, the results will be weighted to give preference to those near the focus. For convenience, longitude is allowed to wrap around the 180 line, so 361 is equivalent to 1.

string

Restricts AutoSuggest to only return results inside the countries specified by comma-separated list of uppercase ISO 3166-1 alpha-2 country codes (for example, to restrict to Belgium and the UK, use clip-to-country=GB,BE). Clip-to-country will also accept lowercase country codes. Entries must be two a-z letters. WARNING:If the two-letter code does not correspond to a country, there is no error:API simply returns no results.

string

Restrict AutoSuggest results to a bounding box, specified by coordinates.south_lat,west_lng,north_lat,east_lng, where:south_lat less than or equal to north_latwest_lng less than or equal to east_lngIn other words, latitudes and longitudes should be specified order of increasing size. Lng is allowed to wrap, so that you can specify bounding boxes which cross the ante-meridian:-4,178.2,22,195.4.

string

Restrict AutoSuggest results to a circle, specified by lat,lng,kilometres, where kilometres in the radius of the circle. For convenience, longitude is allowed to wrap around 180 degrees. For example 181 is equivalent to -179.

string

Restrict AutoSuggest results to a polygon, specified by a comma-separated list of lat,lng pairs. The polygon should be closed, i.e. the first element should be repeated as the last element; also the list should contain at least 4 entries. The API is currently limited to accepting up to 25 pairs.

string
Defaults to text

For power users, used to specify voice input mode. Can be text (default),vocon-hybrid, nmdp-asr or generic-voice. see speech recognition.for more details.

string
Defaults to en

A supported 3 word address language as an ISO 639-1 2 letter code. Defaults to en (english).

boolean
enum
Defaults to true

Makes AutoSuggest prefer results on land to those in the sea. This setting is on by default. Use false to disable this setting and receive more suggestions in the sea.

Allowed:
string
enum

Locale to specify a variant of a language.

Response

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json